io.vertx.ext.web.handler.graphql.ws

## Class GraphQLWSOptions

- java.lang.Object
- - io.vertx.ext.web.handler.graphql.ws.GraphQLWSOptions

-     public class GraphQLWSOptions
      extends Object

  Options for configuring the `GraphQLWSHandler`.

- - ### Field Summary

    Fields
    Modifier and Type | Field and Description
    --- | ---
    `static long` | `DEFAULT_CONNECTION_INIT_WAIT_TIMEOUT` Default maximum delay in milliseconds for the client to send the `CONNECTION_INIT` message = 3000.

  - ### Constructor Summary

    Constructors
    Constructor and Description
    `GraphQLWSOptions()` Default constructor.
    `GraphQLWSOptions(GraphQLWSOptions other)` Copy constructor.
    `GraphQLWSOptions(JsonObject json)` Constructor to create options from JSON.

  - ### Method Summary

    All Methods Instance Methods Concrete Methods
    Modifier and Type | Method and Description
    --- | ---
    `long` | `getConnectionInitWaitTimeout()`
    `GraphQLWSOptions` | `setConnectionInitWaitTimeout(long connectionInitWaitTimeout)` Set the maximum delay in milliseconds for the client to send the `CONNECTION_INIT` message.
    `JsonObject` | `toJson()`

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Field Detail

    - #### DEFAULT_CONNECTION_INIT_WAIT_TIMEOUT

          public static final long DEFAULT_CONNECTION_INIT_WAIT_TIMEOUT

      Default maximum delay in milliseconds for the client to send the `CONNECTION_INIT` message = 3000.
      See Also:
        Constant Field Values

  - ### Constructor Detail

    - #### GraphQLWSOptions

          public GraphQLWSOptions()

      Default constructor.

    - #### GraphQLWSOptions

          public GraphQLWSOptions(GraphQLWSOptions other)

      Copy constructor.
      Parameters:
        `other` - the options to copy

    - #### GraphQLWSOptions

          public GraphQLWSOptions(JsonObject json)

      Constructor to create options from JSON.
      Parameters:
        `json` - the JSON

  - ### Method Detail

    - #### toJson

          public JsonObject toJson()

      Returns:
        a JSON representation of these options

    - #### getConnectionInitWaitTimeout

          public long getConnectionInitWaitTimeout()

      Returns:
        maximum delay in milliseconds for the client to send the `CONNECTION_INIT` message

    - #### setConnectionInitWaitTimeout

          public GraphQLWSOptions setConnectionInitWaitTimeout(long connectionInitWaitTimeout)

      Set the maximum delay in milliseconds for the client to send the `CONNECTION_INIT` message. Defaults to `3000`.
      Parameters:
        `connectionInitWaitTimeout` - delay in milliseconds
      Returns:
        a reference to this, so the API can be used fluently

Copyright © 2024 Eclipse. All rights reserved.